<script setup lang="ts">
const { data: session, signOut } = useSession();
const show = ref(false);

async function copyToClipboard() {
  await navigator.clipboard.writeText(session.value.token);
}
</script>

<template>
  <div class="d-flex mt-6">
    <div
      id="username"
      @click="copyToClipboard()"
      style="cursor: pointer"
      class="me-auto"
    >
      {{ session?.user?.name }}
    </div>
    <div>
      <v-btn
        icon="mdi-logout"
        color="plain"
        variant="plain"
        size="normal"
        @click="signOut({ callbackUrl: '/' })"
      >
      </v-btn>
    </div>
  </div>
</template>
